Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036760
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajorhave not tried2017-08-31 13:382017-09-21 16:49
ReportermartinsdanView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionf6988eb821e2
ProjectionnoneETAnoneTarget Version
OSMac OSDatabasePostgreSQLJava version1.7
OS Version10.12Database version9.5Ant version1.9.4
Product Version3.0PR17Q1SCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036760: Error when running a Landing Cost with more than one Landed Cost Distribution Algorithm

DescriptionAn error occurs when processing a Landed Cost with costs with different Landed Cost Distribution Algorithms

An error is thrown:
"Detail formatter error:
        An exception occurred: org.hibernate.LazyInitializationException"

In the interface it is shown:
"could not initialize proxy - no Session"
Steps To Reproduce- Create a new Landed Cost Distribution Algorithm
- Create a new Landed Cost Type
- Create a Landed Cost
- Add a receipt
- Add several costs with at least two Landed Cost Distribution Algorithms
- Click process
Proposed SolutionA patch is attached. It is not the ideal solution, but it works.
TagsNo tags attached.
Attached Filespatch file icon landedCostAlgorithm.patch [^] (718 bytes) 2017-08-31 13:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098783)
AtulOpenbravo (developer)
2017-09-04 08:06
edited on: 2017-09-04 08:06

- Login as System Admin
- Create a new Landed Cost Distribution Algorithm
- Logout and Login as F&B International Group Admin
- Create a new Landed Cost Type
- Create a Goods Receipt for any business partner and add line for any product,
  process it.
- Create a Landed Cost
- Add information in receipt tab with Goods Receipt header and lines created in above step.
- Add several costs with at least two Landed Cost Distribution Algorithms.
- Click process, realize that process is executed successfully.

(0098802)
hgbot (developer)
2017-09-04 12:57

Repository: erp/devel/pi
Changeset: f6988eb821e2a9aa481401740dfa5cbe6e170a9c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Sep 04 11:38:56 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f6988eb821e2a9aa481401740dfa5cbe6e170a9c [^]

Fixes issue 36760: Error when running a Landing Cost

To avoid org.hibernate.LazyInitializationException Landed Cost Cost Object
is re-initialized

---
M src/org/openbravo/costing/LandedCostProcess.java
---
(0098803)
aferraz (developer)
2017-09-04 12:57

Code review + Testing OK
(0099355)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-31 13:38 martinsdan New Issue
2017-08-31 13:38 martinsdan Assigned To => platform
2017-08-31 13:38 martinsdan File Added: landedCostAlgorithm.patch
2017-08-31 13:38 martinsdan Modules => Core
2017-08-31 13:38 martinsdan Triggers an Emergency Pack => No
2017-08-31 14:08 ngarcia Issue Monitored: networkb
2017-08-31 14:12 ngarcia Issue Monitored: ngarcia
2017-08-31 14:22 alostale Assigned To platform => Triage Finance
2017-08-31 14:22 alostale Category A. Platform => 05. Production management
2017-08-31 14:36 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-09-04 08:04 AtulOpenbravo Status new => scheduled
2017-09-04 08:06 AtulOpenbravo Note Added: 0098783
2017-09-04 08:06 AtulOpenbravo Note Edited: 0098783 View Revisions
2017-09-04 12:57 hgbot Checkin
2017-09-04 12:57 hgbot Note Added: 0098802
2017-09-04 12:57 hgbot Status scheduled => resolved
2017-09-04 12:57 hgbot Resolution open => fixed
2017-09-04 12:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f6988eb821e2a9aa481401740dfa5cbe6e170a9c [^]
2017-09-04 12:57 aferraz Review Assigned To => aferraz
2017-09-04 12:57 aferraz Note Added: 0098803
2017-09-04 12:57 aferraz Status resolved => closed
2017-09-04 12:57 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099355


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker